System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Data.Common.DbDataReader

To create an , you must call the method of the object, instead of directly using a constructor.

Before you close the , first close the object. You must also close the object if you plan to resuse an object.For example, you cannot retrieve output parameters until after you call .

Changes made to a result set by another process or thread while data is being read may be visible to the user of the . However, the precise behavior is timing dependent.

and are the only properties that you can call after the is closed. Although the property may be accessed while the exists, always call before returning the value of to guarantee an accurate return value.

Provides a way of reading a forward-only stream of data rows from a data source. This class cannot be inherited.

- Method
  System.Void

  You must explicitly call the method when you are through using the to use the associated for any other purpose.

  Do not call Close or Dispose on a Connection, a DataReader, or any other managed object in the Finalize method of your class. In a finalizer, you should only release unmanaged resources that your class owns directly. If your class does not own any unmanaged resources, do not include a Finalize method in your class definition. For more information, see Garbage Collection.

  Closes the object.

  1.0.5000.0
  2.0.0.0
- Property
  System.Int32 To be added: an object of type 'int'

  The outermost table has a depth of zero.

  Gets a value that indicates the depth of nesting for the current row.

  1.0.5000.0
  2.0.0.0
- Property
  System.Int32 To be added: an object of type 'int'

  Includes hidden fields. Use to exclude hidden fields.

  After executing a query that does not return rows, returns 0.

  Gets the number of columns in the current row.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void To be added To be added 1.0.5000.0
- Method
  System.Boolean ``

  No conversions are performed; therefore the data retrieved must already be a Boolean, or an exception is generated.

  Call to look for null values before calling this method.

  Gets the value of the specified column as a Boolean.

  The value of the column.

  The zero-based column ordinal. 1.0.5000.0 2.0.0.0
- Method
  System.Byte ``

  No conversions are performed; therefore the data retrieved must already be a byte.

  Call to look for null values before calling this method.

  Gets the value of the specified column as a byte.

  The value of the specified column as a byte.

  The zero-based column ordinal. 1.0.5000.0 2.0.0.0
- Method
  System.Int64 `` `` `` `` ``

  returns the number of available bytes in the field. Most of the time this is the exact length of the field. However, the number returned may be less than the true length of the field if GetBytes has already been used to obtain bytes from the field. This may be the case, for example, when the is reading a large data structure into a buffer. For more information, see the SequentialAccess setting for .

  If you pass a buffer that is null, returns the length of the field in bytes.

  No conversions are performed; therefore, the data retrieved must already be a byte array.

  Reads a stream of bytes from the specified column offset into the buffer as an array starting at the given buffer offset.

  The actual number of bytes read.

  The zero-based column ordinal. The index within the field from which to start the read operation. The buffer into which to read the stream of bytes. The index within the where the write operation is to start. The maximum length to copy into the buffer. 1.0.5000.0 2.0.0.0
- Method
  System.Char ``

  Not supported for .

  Gets the value of the specified column as a character.

  The value of the specified column.

  The zero-based column ordinal. 1.0.5000.0 2.0.0.0 System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
- Method
  System.Int64 `` `` `` `` ``

  returns the number of available characters in the field. Most of the time this is the exact length of the field. However, the number returned may be less than the true length of the field if GetChars has already been used to obtain characters from the field. This may be the case, for example, when the is reading a large data structure into a buffer. For more information, see the SequentialAccess setting for .

  If you pass a buffer that is null, returns the length of the field in characters.

  No conversions are performed; therefore, the data retrieved must already be a character array.

  Reads a stream of characters from the specified column offset into the buffer as an array starting at the given buffer offset.

  The actual number of characters read.

  The zero-based column ordinal. The index within the row from which to start the read operation. The buffer into which to copy data. The index within the where the write operation is to start. The number of characters to read. 1.0.5000.0 2.0.0.0
- Method
  System.Data.OleDb.OleDbDataReader ``

  The will call if the provider returns a that has a column that supports .

  Returns an object for the requested column ordinal.

  An object.

  The zero-based column ordinal. 1.0.5000.0 2.0.0.0 System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
- Method
  System.String `` To be added

  Gets the name of the source data type.

  The name of the back-end data type. For more information, see SQL Server data types or Access data types.

  The zero-based column ordinal. 1.0.5000.0 2.0.0.0
- Method
  System.DateTime ``

  No conversions are performed; therefore, the data retrieved must already be a object.

  Call to look for null values before calling this method.

  Gets the value of the specified column as a object.

  The value of the specified column.

  The zero-based column ordinal. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Data.Common.DbDataReader `` To be added. To be added. To be added. To be added.
- Method
  System.Decimal ``

  No conversions are performed; therefore, the data retrieved must already be a object.

  Call to look for null values before calling this method.

  Gets the value of the specified column as a object.

  The value of the specified column.

  The zero-based column ordinal. 1.0.5000.0 2.0.0.0
- Method
  System.Double ``

  No conversions are performed; therefore, the data retrieved must already be a double-precision floating-point number.

  Call to look for null values before calling this method.

  Gets the value of the specified column as a double-precision floating-point number.

  The value of the specified column.

  The zero-based column ordinal. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Collections.IEnumerator

  Although you can use this method to retrieve an explicit enumerator, in languages that support a foreach construct, it is simpler to use the looping construct directly in order to iterate through the rows in the data reader.

  Returns an that can be used to iterate through the rows in the data reader.

  An that can be used to iterate through the rows in the data reader.

- Method
  System.Type `` To be added

  Gets the that is the data type of the object.

  The that is the data type of the object.

  The zero-based column ordinal. 1.0.5000.0 2.0.0.0
- Method
  System.Single ``

  No conversions are performed. Therefore, the data retrieved must already be a single-precision floating-point number.

  Call to look for null values before calling this method.

  Gets the value of the specified column as a single-precision floating-point number.

  The value of the specified column.

  The zero-based column ordinal. 1.0.5000.0 2.0.0.0
- Method
  System.Guid ``

  No conversions are performed; therefore the data retrieved must already be a globally unique identifier.

  Call to look for null values before calling this method.

  Gets the value of the specified column as a globally unique identifier (GUID).

  The value of the specified column.

  The zero-based column ordinal. 1.0.5000.0 2.0.0.0
- Method
  System.Int16 ``

  No conversions are performed; therefore, the data retrieved must already be a 16-bit signed integer.

  Call to look for null values before calling this method.

  Gets the value of the specified column as a 16-bit signed integer.

  The value of the specified column.

  The zero-based column ordinal. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 ``

  No conversions are performed; therefore, the data retrieved must already be a 32-bit signed integer.

  Call to look for null values before calling this method.

  Gets the value of the specified column as a 32-bit signed integer.

  The value of the specified column.

  The zero-based column ordinal. 1.0.5000.0 2.0.0.0
- Method
  System.Int64 ``

  No conversions are performed; therefore, the data retrieved must already be a 64-bit signed integer.

  Call to look for null values before calling this method.

  Gets the value of the specified column as a 64-bit signed integer.

  The value of the specified column.

  The zero-based column ordinal. 1.0.5000.0 2.0.0.0
- Method
  System.String `` To be added

  Gets the name of the specified column.

  The name of the specified column.

  The zero-based column ordinal. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 ``

  performs a case-sensitive lookup first. If it fails, a second case-insensitive search is made. The method throws an IndexOutOfRange exception if the zero-based column ordinal is not found.

  is kana-width insensitive.

  Because ordinal-based lookups are more efficient than named lookups, it is inefficient to call within a loop. Save time by calling one time and assigning the results to an integer variable for use within the loop.

  Gets the column ordinal, given the name of the column.

  The zero-based column ordinal.

  The name of the column. 1.0.5000.0 2.0.0.0
- Method
  System.Data.DataTable

  The method maps to the OLE DB IColumnsRowset::GetColumnsRowset method, and returns metadata about each column in the following order:

  DataReader column

  OLE DB column ID

  Description

  ColumnName

  DBCOLUMN_NAME

  The name of the column; this might not be unique. If this cannot be determined, a null value is returned. This name always reflects the most recent renaming of the column in the current view or command text.

  ColumnOrdinal

  DBCOLUMN_NUMBER

  The zero-based ordinal of the column. This column cannot contain a null value.

  ColumnSize

  DBCOLUMN_COLUMNSIZE

  The maximum possible length of a value in the column. For columns that use a fixed-length data type, this is the size of the data type.

  NumericPrecision

  DBCOLUMN_PRECISION

  If DbType is a numeric data type, this is the maximum precision of the column. The precision of columns with a data type of DBTYPE_DECIMAL or DBTYPE_NUMERIC depends on the definition of the column. If DbType is not a numeric data type, this is a null value.

  NumericScale

  DBCOLUMN_SCALE

  If DbType is DBTYPE_DECIMAL or DBTYPE_NUMERIC, this is the number of digits to the right of the decimal point. Otherwise, this is a null value.

  DataType

  None

  Maps to the .NET Framework type of the column.

  ProviderType

  DBCOLUMN_TYPE

  The indicator of the column's data type. If the data type of the column varies from row to row, this must be DBTYPE_VARIANT. This column cannot contain a null value.

  IsLong

  DBCOLUMNFLAGS_ISLONG

  The provider sets DBCOLUMNFLAGS_ISLONG if the column contains a Binary Long Object (BLOB) that contains very long data. The definition of very long data is provider-specific. The setting of this flag corresponds to the value of the IS_LONG column in the PROVIDER_TYPES rowset for the data type.

  AllowDBNull

  DBCOLUMNFLAGS_ISNULLABLE

  The provider sets DBCOLUMNFLAGS_ISNULLABLE if the consumer can set the column to a null value, or if the provider cannot determine whether the consumer can set the column to a null value. A column may contain null values, even if it cannot be set to a null value.

  IsReadOnly

  DBCOLUMNFLAGS_WRITE

  true if the column cannot be modified; otherwise false. The column is assumed to be writable if the provider has set either the DBCOLUMNFLAGS_WRITE or DBCOLUMNFLAGS_WRITEUNKNOWN flag.

  IsRowVersion

  DBCOLUMNFLAGS_ISROWID

  The provider sets DBCOLUMNFLAGS_ISROWID if the column contains a persistent row identifier that cannot be written to, and has no meaningful value except to identity the row.

  IsUnique

  DBCOLUMN_ISUNIQUE

  VARIANT_TRUE: No two rows in the base table-the table returned in BaseTableName-can have the same value in this column. IsUnique is guaranteed to be VARIANT_TRUE if the column represents a key by itself or if there is a constraint of type UNIQUE that applies only to this column.

  VARIANT_FALSE: The column can contain duplicate values in the base table. The default of this column is VARIANT_FALSE.

  IsKey

  DBCOLUMN_KEYCOLUMN

  VARIANT_TRUE: The column is one of a set of columns in the rowset that, taken together, uniquely identify the row. The set of columns with IsKey set to VARIANT_TRUE must uniquely identify a row in the rowset. There is no requirement that this set of columns is a minimal set of columns. This set of columns may be generated from a base table primary key, a unique constraint or a unique index.

  VARIANT_FALSE: The column is not required to uniquely identify the row.

  IsAutoIncrement

  DBCOLUMN_ISAUTOINCREMENT

  VARIANT_TRUE: The column assigns values to new rows in fixed increments.

  VARIANT_FALSE: The column does not assign values to new rows in fixed increments. The default of this column is VARIANT_FALSE.

  BaseSchemaName

  DBCOLUMN_BASESCHEMANAME

  The name of the schema in the data store that contains the column. A null value if the base schema name cannot be determined. The default of this column is a null value.

  BaseCatalogName

  DBCOLUMN_BASECATALOGNAME

  The name of the catalog in the data store that contains the column. A null value if the base catalog name cannot be determined. The default of this column is a null value.

  BaseTableName

  DBCOLUMN_BASETABLENAME

  The name of the table or view in the data store that contains the column. A null value if the base table name cannot be determined. The default of this column is a null value.

  BaseColumnName

  DBCOLUMN_BASECOLUMNNAME

  The name of the column in the data store. This might be different from the column name returned in the ColumnName column if an alias was used. A null value if the base column name cannot be determined or if the rowset column is derived, but not identical to, a column in the data store. The default of this column is a null value.

  To make sure that metadata columns return the correct information, you must call with the parameter set to KeyInfo. Otherwise, some of the columns in the schema table may return default, null, or incorrect data.

  Returns a that describes the column metadata of the .

  A that describes the column metadata.

  1.0.5000.0
  2.0.0.0
- Method
  System.String ``

  No conversions are performed; therefore the data retrieved must already be a string.

  Call to look for null values before calling this method.

  Gets the value of the specified column as a string.

  The value of the specified column.

  The zero-based column ordinal. 1.0.5000.0 2.0.0.0
- Method
  System.TimeSpan ``

  No conversions are performed; therefore, the data retrieved must already be a object.

  Call to look for null values before calling this method.

  Gets the value of the specified column as a object.

  The value of the specified column.

  The zero-based column ordinal. 1.0.5000.0 2.0.0.0
- Method
  System.Object ``

  This method returns for null database columns.

  Gets the value of the column at the specified ordinal in its native format.

  The value to return.

  The zero-based column ordinal. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 ``

  For most applications, the method provides an efficient means for retrieving all columns, instead of retrieving each column individually.

  You can pass an array that contains fewer than the number of columns that are contained in the resulting row. Only the amount of data the array holds is copied to the array. You can also pass an array whose length is more than the number of columns that are contained in the resulting row.

  This method returns for null database columns.

  Populates an array of objects with the column values of the current row.

  The number of instances of in the array.

  An array of into which to copy the attribute columns. 1.0.5000.0 2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  System.Boolean To be added. To be added.

  Gets a value that indicates whether the contains one or more rows.

- Property
  System.Boolean To be added: an object of type 'bool'

  and are the only properties that you can call after the is closed.

  Indicates whether the data reader is closed.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean ``

  Call this method to look for null column values before calling the typed get methods (for example, , , and so on) to avoid raising an error.

  Gets a value that indicates whether the column contains nonexistent or missing values.

  true if the specified column value is equivalent to ; otherwise, false.

  The zero-based column ordinal. 1.0.5000.0 2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  System.Object `` To be added. To be added. To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  System.Object `` To be added. To be added. To be added. To be added.
- Method
  System.Boolean

  Used to process multiple results that can be generated by executing batch SQL statements.

  By default, the data reader is positioned on the first result.

  Advances the data reader to the next result, when reading the results of batch SQL statements.

  true if there are more result sets; otherwise, false.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean

  The default position of the is before the first record. Therefore, you must call to start accessing any data.

  While the is being used, the associated is busy serving it until you call .

  Advances the to the next record.

  true if there are more rows; otherwise, false.

  1.0.5000.0
  2.0.0.0
- Property
  System.Int32 To be added: an object of type 'int'

  The property is not set until all rows are read and you close the .

  The value of this property is cumulative. For example, if two records are inserted in batch mode, the value of is two.

  and are the only properties that you can call after the is closed.

  Gets the number of rows changed, inserted, or deleted by execution of the SQL statement.

  1.0.5000.0
  2.0.0.0
- Method
  1.0.5000.0
  System.Collections.IEnumerator To be added. To be added. To be added.
- Method
  1.0.5000.0
  System.Data.IDataReader `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Void To be added. To be added.
- Property
  2.0.0.0
  System.Int32 To be added.

  This value is used to determine how many fields in the are visible. For example, a SELECT on a partial primary key returns the remaining parts of the key as hidden fields. The hidden fields are always appended behind the visible fields.

  Gets the number of fields in the that are not hidden.